.sidebarbuttons.sidebarbuttons {

	height: 25px;
	z-index: 3;

	.sidebarbutton {

		-webkit-transition: color $default-transition-duration;
		-ms-transition: color $default-transition-duration;
		transition: color $default-transition-duration;

		width: 30px;
		height: 30px;
		padding-right: 15px;
		display: inline-block;
		cursor: pointer;
		visibility: hidden;

		&:before {
			font-family: community;
			font-size: 30px;
   			line-height: 1;
   			padding-left: 7px;
		}

		&.sidebarbutton-editor{
			.propertyeditoravailable & {
				visibility: visible;
			}

			&:before {
				content: "\e002";
			}
		}

		&.sidebarbutton-info {
			.infoavailable & {
				visibility: visible;
			}

			&:before {
				content: "\e601";
			}
		}

		&.sidebarbutton-menu {
			visibility: visible;
			margin-right: 10px;

			&:before {
				content: "\e600";
			}
		}
	}


	/* Color themes */
	.sidebar-open &,
	.sampleselected & {
		color: #808080;

		.sidebarbutton:hover {
			color: #bfbfbf;
		}

		.sidebarbutton.selected {
			color: $vaadin-blue !important;
		}
	}

	.sidebar-open:not(.sampleselected) .v-ui[width-range~="0px-800px"] & .sidebarbutton.selected {
		color: #fff !important;
	}
}
